function [imdata_redu] = reduce_sin_val(imdata, N)

    [U,S,V] = svd(imdata);
    S_redu = zeros(size(S));
    
    for n=1:N
    
        S_redu(n,n) = S(n,n);
    
    end
    imdata_redu = U*S_redu*V';     
end